<?php
require_once 'config/config.php';

requireLogin();

echo "<h2>🔍 Debug - Completar Inspección</h2>";

// Simular POST data para debug
if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    echo "<h3>📥 Datos recibidos:</h3>";
    echo "<pre style='background: #f0f0f0; padding: 10px; border: 1px solid #ccc;'>";
    echo "POST Data:\n";
    print_r($_POST);
    echo "\nFILES Data:\n";
    print_r($_FILES);
    echo "</pre>";
    
    // Verificar si existe el parámetro 'completar'
    if (isset($_POST['completar'])) {
        echo "<p style='color: green;'>✅ Parámetro 'completar' detectado</p>";
        $estado = 'completada';
    } else {
        echo "<p style='color: orange;'>⚠️ Parámetro 'completar' NO detectado</p>";
        $estado = 'borrador';
    }
    
    echo "<p><strong>Estado que se guardará:</strong> <span style='color: blue;'>$estado</span></p>";
    
    // Verificar elementos respondidos
    $elementos_respondidos = 0;
    foreach ($_POST as $key => $value) {
        if (strpos($key, 'elemento_') === 0) {
            $elementos_respondidos++;
        }
    }
    
    echo "<p><strong>Elementos respondidos:</strong> $elementos_respondidos</p>";
}
?>

<h3>🧪 Formulario de Prueba</h3>
<form method="POST" style="background: #f9f9f9; padding: 20px; border: 1px solid #ddd; margin: 20px 0;">
    <input type="hidden" name="inmueble_id" value="1">
    <input type="hidden" name="fecha_inspeccion" value="<?php echo date('Y-m-d'); ?>">
    <input type="hidden" name="elemento_1" value="si">
    <input type="hidden" name="elemento_2" value="no">
    
    <h4>Simular envío de formulario:</h4>
    <button type="submit" name="guardar" class="btn btn-primary" style="margin-right: 10px;">
        🔄 Guardar como Borrador
    </button>
    <button type="submit" name="completar" value="1" class="btn btn-success">
        ✅ Completar Inspección
    </button>
</form>

<style>
    .btn {
        padding: 10px 20px;
        border: none;
        border-radius: 5px;
        cursor: pointer;
        font-weight: bold;
    }
    .btn-primary { background: #007bff; color: white; }
    .btn-success { background: #28a745; color: white; }
</style>
