<?php
session_start();
echo "<h2>🔍 Debug - Editar Inspección</h2>";

// Verificar parámetros
echo "<h3>Parámetros GET:</h3>";
var_dump($_GET);

// Verificar sesión
echo "<h3>Datos de Sesión:</h3>";
echo "user_id: " . ($_SESSION['user_id'] ?? 'NO DEFINIDO') . "<br>";
echo "rol: " . ($_SESSION['rol'] ?? 'NO DEFINIDO') . "<br>";
echo "user_name: " . ($_SESSION['user_name'] ?? 'NO DEFINIDO') . "<br>";

// Función isAdmin
function isAdmin() {
    return isset($_SESSION['rol']) && $_SESSION['rol'] === 'administrador';
}

echo "isAdmin(): " . (isAdmin() ? 'SÍ' : 'NO') . "<br>";

// Verificar si existe el archivo
echo "<h3>Archivos:</h3>";
echo "editar_inspeccion.php existe: " . (file_exists('editar_inspeccion.php') ? 'SÍ' : 'NO') . "<br>";

// Probar conexión a base de datos
try {
    require_once 'config/database.php';
    require_once 'models/Inspeccion.php';
    
    $inspeccion = new Inspeccion();
    echo "Conexión a BD: ✅ OK<br>";
    
    // Obtener inspecciones
    $inspecciones = $inspeccion->getAll();
    echo "Total inspecciones: " . count($inspecciones) . "<br>";
    
    if (!empty($inspecciones)) {
        echo "<h3>Primeras 3 inspecciones:</h3>";
        foreach (array_slice($inspecciones, 0, 3) as $insp) {
            echo "ID: {$insp['id']} - Estado: {$insp['estado']} - Inspector: {$insp['inspector_id']}<br>";
        }
    }
    
} catch (Exception $e) {
    echo "Error BD: " . $e->getMessage() . "<br>";
}

// Probar enlace directo
$test_id = $_GET['id'] ?? 1;
echo "<h3>Enlaces de Prueba:</h3>";
echo "<a href='editar_inspeccion.php?id={$test_id}' target='_blank'>🔗 Probar editar_inspeccion.php?id={$test_id}</a><br>";
echo "<a href='inspecciones.php'>🔗 Volver a inspecciones.php</a><br>";
?>
