<?php
require_once 'config/config.php';
require_once 'models/Inspeccion.php';

requireLogin();

$inspeccion = new Inspeccion();

echo "<h2>🔍 Debug del Sistema de Inspecciones</h2>";

// Verificar última inspección
$inspecciones = $inspeccion->getAll();
if (!empty($inspecciones)) {
    $ultima = $inspecciones[0];
    echo "<h3>📋 Última Inspección</h3>";
    echo "<pre>";
    print_r($ultima);
    echo "</pre>";
    
    // Verificar respuestas
    $respuestas = $inspeccion->getRespuestas($ultima['id']);
    echo "<h3>💬 Respuestas</h3>";
    echo "<pre>";
    print_r($respuestas);
    echo "</pre>";
    
    // Verificar fotos
    $database = new Database();
    $conn = $database->getConnection();
    $stmt = $conn->prepare("SELECT * FROM fotos_inspeccion WHERE inspeccion_id = ?");
    $stmt->execute([$ultima['id']]);
    $fotos = $stmt->fetchAll();
    
    echo "<h3>📸 Fotos</h3>";
    echo "<pre>";
    print_r($fotos);
    echo "</pre>";
}

// Verificar estructura de tablas
echo "<h3>🗄️ Estructura de Tablas</h3>";

$database = new Database();
$conn = $database->getConnection();

echo "<h4>Tabla inspecciones:</h4>";
$stmt = $conn->query("DESCRIBE inspecciones");
echo "<pre>";
print_r($stmt->fetchAll());
echo "</pre>";

echo "<h4>Tabla fotos_inspeccion:</h4>";
$stmt = $conn->query("DESCRIBE fotos_inspeccion");
echo "<pre>";
print_r($stmt->fetchAll());
echo "</pre>";

echo "<h4>Total de registros:</h4>";
$stmt = $conn->query("SELECT COUNT(*) as total FROM inspecciones");
$total_inspecciones = $stmt->fetch()['total'];

$stmt = $conn->query("SELECT COUNT(*) as total FROM fotos_inspeccion");
$total_fotos = $stmt->fetch()['total'];

echo "<p>📊 Total inspecciones: <strong>$total_inspecciones</strong></p>";
echo "<p>📸 Total fotos: <strong>$total_fotos</strong></p>";

// Verificar directorio de uploads
$upload_dir = 'uploads/inspecciones/';
if (is_dir($upload_dir)) {
    $files = scandir($upload_dir);
    $files = array_filter($files, function($file) {
        return !in_array($file, ['.', '..']);
    });
    echo "<p>📁 Archivos en uploads/inspecciones/: <strong>" . count($files) . "</strong></p>";
    if (!empty($files)) {
        echo "<ul>";
        foreach ($files as $file) {
            echo "<li>$file</li>";
        }
        echo "</ul>";
    }
} else {
    echo "<p>❌ Directorio uploads/inspecciones/ no existe</p>";
}
?>
