-- Verificar y corregir la columna estado en la tabla inspecciones

-- Verificar si la columna estado existe
SELECT COLUMN_NAME, COLUMN_DEFAULT, IS_NULLABLE, DATA_TYPE 
FROM INFORMATION_SCHEMA.COLUMNS 
WHERE TABLE_NAME = 'inspecciones' AND COLUMN_NAME = 'estado';

-- Si no existe, agregarla
ALTER TABLE inspecciones 
ADD COLUMN IF NOT EXISTS estado ENUM('borrador', 'completada', 'cancelada') DEFAULT 'borrador';

-- Actualizar registros existentes que no tengan estado
UPDATE inspecciones 
SET estado = 'borrador' 
WHERE estado IS NULL OR estado = '';

-- Verificar el resultado
SELECT id, numero_contrato, fecha_inspeccion, estado 
FROM inspecciones 
ORDER BY id DESC 
LIMIT 10;
