-- Crear tabla para seguimiento de problemas encontrados en inspecciones
CREATE TABLE seguimiento_problemas (
    id INT AUTO_INCREMENT PRIMARY KEY,
    inspeccion_id INT NOT NULL,
    elemento_id INT NOT NULL,
    descripcion_problema TEXT NOT NULL,
    observaciones TEXT,
    estado ENUM('pendiente', 'en_proceso', 'resuelto') DEFAULT 'pendiente',
    fecha_creacion TIMESTAMP DEFAULT CURRENT_TIMESTAMP,
    fecha_actualizacion TIMESTAMP DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
    usuario_seguimiento INT,
    notas_seguimiento TEXT,
    FOREIGN KEY (inspeccion_id) REFERENCES inspecciones(id) ON DELETE CASCADE,
    FOREIGN KEY (elemento_id) REFERENCES elementos_inspeccion(id) ON DELETE CASCADE,
    FOREIGN KEY (usuario_seguimiento) REFERENCES usuarios(id) ON DELETE SET NULL
);

-- Índices para mejor rendimiento
CREATE INDEX idx_seguimiento_inspeccion ON seguimiento_problemas(inspeccion_id);
CREATE INDEX idx_seguimiento_estado ON seguimiento_problemas(estado);
CREATE INDEX idx_seguimiento_fecha ON seguimiento_problemas(fecha_creacion);
