-- Crear tabla equipos de forma simple
DROP TABLE IF EXISTS equipos;

CREATE TABLE equipos (
    id INT AUTO_INCREMENT PRIMARY KEY,
    inmueble_id INT NOT NULL,
    tipo_inspeccion_id INT NOT NULL,
    codigo_equipo VARCHAR(50) NOT NULL UNIQUE,
    numero_serie VARCHAR(100),
    ubicacion VARCHAR(200) NOT NULL,
    descripcion TEXT,
    estado_equipo ENUM('activo', 'mantenimiento', 'retirado') DEFAULT 'activo',
    fecha_instalacion DATE,
    fecha_ultimo_mantenimiento DATE,
    observaciones TEXT,
    created_at TIMESTAMP DEFAULT CURRENT_TIMESTAMP,
    updated_at TIMESTAMP DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
);

-- Insertar algunos equipos de ejemplo
INSERT INTO equipos (inmueble_id, tipo_inspeccion_id, codigo_equipo, ubicacion, descripcion) VALUES
(1, 1, 'EXT-001', 'Planta Baja - Recepción', 'Extintor ABC 6kg'),
(1, 1, 'EXT-002', 'Primer Piso - Oficina A', 'Extintor ABC 6kg'),
(1, 1, 'EXT-003', 'Segundo Piso - Pasillo', 'Extintor ABC 6kg');

SELECT 'Tabla equipos creada exitosamente' as resultado;
SELECT COUNT(*) as equipos_insertados FROM equipos;
