<?php
session_start();

// Incluir archivos de configuración y conexión a la base de datos
require_once 'config/database.php';
require_once 'config/config.php';

// Verificar que las clases estén disponibles
if (!class_exists('Database')) {
    die("Error: No se puede cargar la clase Database. Verifica que config/database.php existe.");
}

// Verificar si el usuario ha iniciado sesión
if (!isset($_SESSION['user_id'])) {
    header("Location: login.php"); // Redirigir al usuario a la página de inicio de sesión si no ha iniciado sesión
    exit();
}

// Obtener el ID del usuario de la sesión
$user_id = $_SESSION['user_id'];

// Crear una instancia de la clase Database
$database = new Database();
$db = $database->getConnection();

// Consulta para verificar si el usuario tiene aprobaciones pendientes
$query = "SELECT COUNT(*) FROM solicitudes WHERE solicitante_id = :user_id AND estado = 'pendiente'";
$stmt = $db->prepare($query);
$stmt->bindParam(':user_id', $user_id);
$stmt->execute();
$row = $stmt->fetch(PDO::FETCH_ASSOC);
$aprobaciones_pendientes = $row['COUNT(*)'];

// Devolver la cantidad de aprobaciones pendientes como JSON
header('Content-Type: application/json');
echo json_encode(['aprobaciones_pendientes' => $aprobaciones_pendientes]);

?>
